## org.apache.cassandra.io.sstable
Class SSTableLoader

    java.lang.Object
      org.apache.cassandra.io.sstable.SSTableLoader

    public class SSTableLoader

extends java.lang.Object

Cassandra SSTable bulk loader. Load an externally created sstable into a cluster.

Nested Class Summary
`static class` `SSTableLoader.Client`
`static class` `SSTableLoader.LoaderFuture`

Constructor Summary
`SSTableLoader(java.io.File directory, SSTableLoader.Client client, OutputHandler outputHandler)`

Method Summary
`protected java.util.Collection<SSTableReader>` `openSSTables()`
`SSTableLoader.LoaderFuture` `stream()`
`SSTableLoader.LoaderFuture` `stream(java.util.Set<java.net.InetAddress> toIgnore)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSTableLoader

    public SSTableLoader(java.io.File directory,
                         SSTableLoader.Client client,
                         OutputHandler outputHandler)

Method Detail

### openSSTables

    protected java.util.Collection<SSTableReader> openSSTables()

### stream

    public SSTableLoader.LoaderFuture stream()
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### stream

    public SSTableLoader.LoaderFuture stream(java.util.Set<java.net.InetAddress> toIgnore)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2013 The Apache Software Foundation